#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 2

Summary:        KDE Frameworks 5 Tier 3 framework with Plasma 2 libraries and runtime components
Name:           plasma-framework
Version: 5.42.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/


BuildRequires:  kf5-macros

BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5X11Extras)
BuildRequires: pkgconfig(Qt5Sql)
BuildRequires: pkgconfig(Qt5UiTools)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5PrintSupport)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Qml)
BuildRequires: pkgconfig(Qt5Quick)
BuildRequires: pkgconfig(Qt5Script)

BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(sm)

BuildRequires: kidletime-devel >= %version
BuildRequires: kitemmodels-devel >= %version
BuildRequires: kwidgetsaddons-devel >= %version
BuildRequires: kwindowsystem-devel >= %version
BuildRequires: kcodecs-devel >= %version
BuildRequires: karchive-devel >= %version
BuildRequires: threadweaver-devel >= %version
BuildRequires: kglobalaccel-devel >= %version
BuildRequires: kconfig-devel >= %version
BuildRequires: kauth-devel >= %version
BuildRequires: kwallet-devel >= %version
BuildRequires: kdbusaddons-devel >= %version
BuildRequires: ki18n-devel >= %version
BuildRequires: kguiaddons-devel >= %version
BuildRequires: kconfigwidgets-devel >= %version
BuildRequires: kservice-devel >= %version
BuildRequires: kitemviews-devel >= %version
BuildRequires: knotifications-devel >= %version
BuildRequires: kiconthemes-devel >= %version
BuildRequires: kcompletion-devel >= %version
BuildRequires: kjobwidgets-devel >= %version
BuildRequires: sonnet-devel >= %version
BuildRequires: ktextwidgets-devel >= %version
BuildRequires: kxmlgui-devel >= %version
BuildRequires: kbookmarks-devel >= %version
BuildRequires: kdeclarative-devel >= %version
BuildRequires: kunitconversion-devel >= %version
BuildRequires: kparts-devel >= %version
BuildRequires: kio-devel >= %version
BuildRequires: kdnssd-devel >= %version
BuildRequires: kcoreaddons-devel >= %version
BuildRequires: kcrash-devel >= %version
BuildRequires: solid-devel >= %version
BuildRequires: kactivities-devel >= 1:%version
BuildRequires: kdoctools-devel >= %version

BuildRequires: cmake(KF5Kirigami2) >= %version

BuildRequires: pkgconfig(openssl)

Conflicts:     kapptemplate < 16.04.0 
Conflicts:     kirigami < 5.42.0

%description
KDE Frameworks 5 Tier 3 framework with Plasma 2 libraries and runtime components.

%files -f %{name}.lang
%_kf5_bindir/plasmapkg2
%_kf5_datadir/plasma
%_kf5_services/*.desktop
%_kf5_servicetypes/*.desktop
%_kf5_qmldir/org/kde/plasma
%_qt5_plugindir/plasma_engine_testengine.so
%_kf5_mandir/man1/plasmapkg2.1.*
%_kf5_mandir/*/man1/plasmapkg2.1*
%_kf5_qmldir/QtQuick/Controls/Styles/Plasma/
%_kf5_qmldir/QtQuick/Controls.2/Plasma/
%_kf5_qmldir/org/kde/kirigami.2/styles/Plasma/
%_kf5_qmldir/org/kde/kirigami.2/styles/org.kde.desktop.plasma/Units.qml
%_qt5_plugindir/plasma/scriptengines/plasma_appletscript_declarative.so
%_qt5_plugindir/kpackage/packagestructure/*.so
%_datadir/locale/*/LC_SCRIPTS/libplasma5/*.js
%_kf5_datadir/kdevappwizard/templates

#--------------------------------------------------------------------

%define kf5plasmaquick_major 5
%define libkf5plasmaquick %mklibname kf5plasmaquick %{kf5plasmaquick_major}

%package -n %libkf5plasmaquick
Summary:  KDE Frameworks 5 Tier 3 framework with Plasma 2 libraries and runtime components
Group:        System/Libraries

%description -n %libkf5plasmaquick
KDE Frameworks 5 Tier 3 framework with Plasma 2 libraries and runtime components.

%files -n %libkf5plasmaquick
%_kf5_libdir/libKF5PlasmaQuick.so.%{kf5plasmaquick_major}*

#--------------------------------------------------------------------

%define kf5plasma_major 5
%define libkf5plasma %mklibname kf5plasma %{kf5plasma_major}

%package -n %libkf5plasma
Summary: KDE Frameworks 5 Tier 3 framework with Plasma 2 libraries and runtime components
Group:        System/Libraries

%description -n %libkf5plasma
KDE Frameworks 5 Tier 3 framework with Plasma 2 libraries and runtime components.

%files -n %libkf5plasma
%_kf5_libdir/libKF5Plasma.so.%{kf5plasma_major}*

#--------------------------------------------------------------------

%define kf5plasma_devel %mklibname kf5plasma -d

%package -n %kf5plasma_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5plasmaquick = %version-%release
Requires:       %libkf5plasma = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5plasma_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5plasma_devel
%_kf5_includedir/Plasma
%_kf5_includedir/plasma
%_kf5_includedir/PlasmaQuick
%_kf5_includedir/plasmaquick
%_kf5_includedir/plasma_version.h
%_kf5_libdir/cmake/KF5Plasma
%_kf5_libdir/cmake/KF5PlasmaQuick
%_kf5_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build
%find_lang %{name} --all-name


%changelog
* Thu Jan 25 2018 neoclust <neoclust> 5.42.0-2.mga6
+ Revision: 1196952
- Sync with cauldron
- New version 5.42

* Tue Mar 07 2017 neoclust <neoclust> 5.32.0-3.mga6
+ Revision: 1089500
- Rebuild for ARM

* Tue Mar 07 2017 neoclust <neoclust> 5.32.0-2.mga6
+ Revision: 1089474
- Rebuild for ARM

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1089004
- New version 5.32.0

* Mon Jan 16 2017 neoclust <neoclust> 5.29.0-2.mga6
+ Revision: 1081972
- Rebuild for ARM

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074576
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072240
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058395
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050572
- New version 5.26.0

* Sat Aug 20 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1047452
- New version 5.25.0

* Wed Jul 13 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041676
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021970
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014380
- New version 5.22.0

* Sat Apr 23 2016 neoclust <neoclust> 5.21.0-2.mga6
+ Revision: 1005785
- Add conflict to ease upgrade

* Wed Apr 13 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 1000980
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986844
- New version 5.20.0

* Sun Feb 21 2016 neoclust <neoclust> 5.19.0-2.mga6
+ Revision: 975491
- Fix Taskmanager crash

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942289
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921316
- New version 5.18.0
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 910616
- Rebuild as previous ones had been rejected by the BS

* Mon Dec 14 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 910545
- New version 5.17.0

* Tue Nov 24 2015 neoclust <neoclust> 5.16.0-5.mga6
+ Revision: 905737
- Remove umbrella BR

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900507
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899482
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898957
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888197
- New version 5.15.0

* Sun Sep 20 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881839
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 863282
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862827
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Wed Jul 15 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 854441
- New version 5.12.0

* Fri Jul 03 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 849736
- New version 5.11.0

* Fri Dec 19 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 804230
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 739047
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 687630
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660455
- New version 5.1.0

* Tue Jul 15 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 652908
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 600252
- New version 4.97.0

* Thu Feb 27 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597639
- imported package plasma-framework

